VHCS and Xampp (SOLVED)

Problems with the Linux version of XAMPP, questions, comments, and anything related.

VHCS and Xampp (SOLVED)

Postby .hybrid » 07. March 2007 02:37

Does VHCS work on Xampp by default? Because there are a whole lot of packages that vhcs needs, and I'm not sure if it's all installed. I tried to check with apt, but even when I type in apt-get install apache2 it says I can install it (instead of saying that it's already installed). Here are the requirements. I'd appreciate it a lot if you could tell me what packages I need.

apache2
apache2-common
apache2-mpm-prefork
bind9
bzip2
courier-authdaemon
courier-base
courier-imap
courier-maildrop
courier-pop
diff
dnsutils
gcc
gzip
iptables
libapache2-mod-php4
libberkeleydb-perl
libc6-dev
libcrypt-blowfish-perl
libcrypt-cbc-perl
libcrypt-passwdmd5-perl
libdate-calc-perl
libdate-manip-perl
libdbd-mysql-perl
libdbi-perl
libio-stringy-perl
libmail-sendmail-perl
libmailtools-perl
libmcrypt4
libmd5-perl
libmime-base64-perl
libmime-perl
libnet-dns-perl
libnet-netmask-perl
libnet-perl
libnet-smtp-server-perl
libperl5.8
libsasl2
libsasl2-modules
libsnmp-session-perl
libterm-readkey-perl
libterm-readpassword-perl
libtimedate-perl
make
mysql-client-4.1
mysql-common-4.1
mysql-server-4.1
original-awk
patch
perl
perl-base
perl-modules
php4
php4-gd
php4-mcrypt
php4-mysql
php4-pear
postfix
postfix-tls
procmail
proftpd-mysql
sasl2-bin
ssh
tar
wget

I know that xampp doesn't have bind and postfix. I'm having a lot of trouble setting up BIND DNS and postfix, by the way. Any help with that would be appreciated too.

Thanks!

EDIT: Also, I can't get to the xampp panel. When I type ./lampp panel I get the following error:

Error importing pygtk2 and pygtk2-libglade

Thanks very much.
.hybrid
 
Posts: 2
Joined: 07. March 2007 02:26

Postby .hybrid » 11. March 2007 07:44

No one can help me out?
.hybrid
 
Posts: 2
Joined: 07. March 2007 02:26

Missing package to install

Postby RvsForum » 11. March 2007 13:11

I had the same problem. After installing the package python-glade2 it worked. Still doesn't look nice, since I am running kubuntu, but ok ...
RvsForum
 
Posts: 1
Joined: 11. March 2007 12:59

Re: VHCS and Xampp

Postby scorpus » 18. August 2009 08:43

i m searching to install the same solution with xampp... to make seperation between system and servers... and do not to have dependencies probléms...

Can anyone help?
User avatar
scorpus
 
Posts: 1
Joined: 18. August 2009 08:39

Error importing pygtk2 and pygtk2-libglade

Postby qlddave » 08. January 2011 09:27

I have been trying to install joomla but got the same message. Installing the package python-glade2 worked like a charm. :)
qlddave
 
Posts: 1
Joined: 08. January 2011 00:36


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 2 guests